.link-preview.card {
  cursor: pointer;
  overflow: hidden;

  > .card-body.image {
    position: relative;

    > div.loading,
    > svg {
      position: absolute;

      left: 0;
      right: 0;
      top: 0;
      bottom: 0;

      margin: auto;
    }

    > svg {
      font-size: 5em;
    }
  }

  > .card-body:not(.image) {
    overflow-y: auto;

    > * {
      cursor: initial;
    }

    > .card-text {
      > .sitename,
      > .domain {
        white-space: nowrap;
      }
    }
  }
}

.link-preview.card.loading {
  cursor: wait;

  > .card-body.image {
    background: gray;
    background-clip: content-box;
  }
}
